import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  claimId: z.literal(true).optional(),
  patientId: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  updatedById: z.literal(true).optional(),
  npiProviderId: z.literal(true).optional(),
  totalBilled: z.literal(true).optional(),
  totalPaid: z.literal(true).optional(),
  totalAdjusted: z.literal(true).optional(),
  totalDue: z.literal(true).optional(),
  mhPaidAmount: z.literal(true).optional(),
  copayment: z.literal(true).optional(),
  adjustment: z.literal(true).optional()
}).strict();
export const PaymentAvgAggregateInputObjectSchema: z.ZodType<Prisma.PaymentAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.PaymentAvgAggregateInputType>;
export const PaymentAvgAggregateInputObjectZodSchema = makeSchema();
